PGPV3SignatureGenerator
Date: 2016-06-23

org.bouncycastle.openpgp

## Class PGPV3SignatureGenerator

- java.lang.Object
- - org.bouncycastle.openpgp.PGPV3SignatureGenerator

-     public class PGPV3SignatureGenerator
      extends java.lang.Object

  Generator for old style PGP V3 Signatures.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PGPV3SignatureGenerator(PGPContentSignerBuilder contentSignerBuilder)` Create a signature generator built on the passed in contentSignerBuilder.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PGPSignature` | `generate()` Return a V3 signature object containing the current signature state.
    `PGPOnePassSignature` | `generateOnePassVersion(boolean isNested)` Return the one pass header associated with the current signature.
    `void` | `init(int signatureType, PGPPrivateKey key)` Initialise the generator for signing.
    `void` | `update(byte b)`
    `void` | `update(byte[] b)`
    `void` | `update(byte[] b, int off, int len)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PGPV3SignatureGenerator

          public PGPV3SignatureGenerator(PGPContentSignerBuilder contentSignerBuilder)

      Create a signature generator built on the passed in contentSignerBuilder.
      Parameters:
        `contentSignerBuilder` - builder to produce PGPContentSigner objects for generating signatures.

  - ### Method Detail

    - #### init

          public void init(int signatureType,
                  PGPPrivateKey key)
                    throws PGPException

      Initialise the generator for signing.
      Parameters:
        `signatureType` -
        `key` -
      Throws:
        `PGPException`

    - #### update

          public void update(byte b)

    - #### update

          public void update(byte[] b)

    - #### update

          public void update(byte[] b,
                    int off,
                    int len)

    - #### generateOnePassVersion

          public PGPOnePassSignature generateOnePassVersion(boolean isNested)
                                                     throws PGPException

      Return the one pass header associated with the current signature.
      Parameters:
        `isNested` -
      Returns:
        PGPOnePassSignature
      Throws:
        `PGPException`

    - #### generate

          public PGPSignature generate()
                                throws PGPException

      Return a V3 signature object containing the current signature state.
      Returns:
        PGPSignature
      Throws:
        `PGPException`